corrupt archive ???

  Magik ®© 08:49 21 Jul 05
Locked

hi, because my BT voyager 2000 adsl router is playing up, I thought I would upgrade the (firmware)... (software) in the clutching straws dept :-) anyway, when i try and do the upgrade it fails, I get the message .....the upgrade could not be done because of a corrupt archive..

anyone any idea what it might mean,

thanks.

This thread is now locked and can not be replied to.

Hands-on: Acer Predator Triton 700 review

D&AD Awards 2017: see the best design, advertising, illustration, animation and VR of the past year

How to lose weight with an Apple Watch